<?php

namespace Salesloo\Frontend;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

use \Salesloo\Abstracts\Frontend;
use \Salesloo\Response;

/**
 * Salesloo Thanks
 */
class Thanks extends Frontend
{
    /**product slug */
    private $product = false;

    /**
     * construction
     */
    public function __construct()
    {

        $this->id       = 'thanks';
        $this->template = 'thanks.php';
        $this->target   = 'both';
        $this->title    = 'Thanks';
    }


    /**
     * process_action
     *
     * @return void
     */
    public function process_action($req)
    {
    }



    /**
     * handle load
     */
    public function load()
    {
        global $salesloo_data;

        do_action('salesloo/thanks/load/before');

        $salesloo_data['access_page_url'] = salesloo_url_dashboard();

        do_action('salesloo/thanks/load');
    }
}
